GET
/api/Transactions
const url = 'https://example.com/api/Transactions?Status=Processing';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/Transactions?Status=Processing' \ --header 'Authorization: Bearer <token>'Returns a paginated list of transactions for a merchant. Supports filtering by status, member, subscription, and date range, plus free-text search across reference and description.
GET /api/transactions?merchantId=...&status=Approved&from=2026-01-01Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” MerchantId
string format: uuid
Status
string
MemberId
string format: uuid
SubscriptionId
string format: uuid
From
string format: date-time
To
string format: date-time
Search
string
Page
integer format: int32
PageSize
integer format: int32
Responses
Section titled “ Responses ”Paginated list of transactions.
Media type application/json
object
items
Array<object>
object
id
string format: uuid
reference
string
memberId
string format: uuid
memberName
string
description
string
cardInfo
string
amount
number format: double
currency
string
status
string
declineCode
string
createdAt
string format: date-time
processedAt
string format: date-time
page
integer format: int32
pageSize
integer format: int32
totalCount
integer format: int32
totalPages
integer format: int32
hasNextPage
boolean
hasPreviousPage
boolean
Example
{ "items": [ { "status": "Processing" } ]}